Bug 245959 - www/iridium: Update to 2020.04.81
Summary: www/iridium: Update to 2020.04.81
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-chromium (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-27 08:54 UTC by Matthias Wolf
Modified: 2020-07-24 16:24 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (chromium)


Attachments
www/iridium (230.05 KB, application/gzip)
2020-04-27 08:56 UTC, Matthias Wolf
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Wolf 2020-04-27 08:54:24 UTC
Update www/iridium to 2020.04.81

portlint -AC: ok
poudriere testport: ok on 12.1/amd64, 12.1/i386 and 11.3/amd64

(see https://poudriere.rheinwolf.de/builds/20200424-08:11:24.53501/ for results)
Comment 1 Matthias Wolf 2020-04-27 08:56:26 UTC
Created attachment 213839 [details]
www/iridium

update - gzipped due to file size limit
Comment 2 Chris Hutchinson 2020-05-14 16:38:59 UTC
(In reply to Matthias Wolf from comment #1)
Line 4723 of your diff reads:

The profile appears to be in use by another browsr process...

shouldn't that read:

The profile appears to be in use by another browser process?

If the word "browser: is spelled correctly, this line need
never have been changed/added

Just thought I'd ask.

Thanks!

--Chris
Comment 3 Matthias Wolf 2020-05-18 13:58:33 UTC
(In reply to Chris Hutchinson from comment #2)
The typo is in the upstream source already, the patch changes the is_linux condition to is_posix (to make those resource strings available in the FreeBSD build).
Comment 4 Chris Hutchinson 2020-05-19 18:03:30 UTC
(In reply to Matthias Wolf from comment #3)
Ah. So in order to be POSIX compliant. One must spell
browser browsr

@@ -7,9 +16,9 @@
 -      <if expr="is_linux or is_macosx">
 +      <if expr="is_linux or is_macosx or is_posix">
          <message name="IDS_PROFILE_IN_USE_POSIX" desc="Message shown when the browser cannot start because the profile is in use on a different host.">
-           The profile appears to be in use by another browser process
...
+           The profile appears to be in use by another browsr process
...


;-)
Comment 5 Matthias Wolf 2020-05-25 09:54:55 UTC
(In reply to Chris Hutchinson from comment #4)
Ah, I think the confusion stems from the attachment being patches for patch files.

In the upstream source the typo is present in the current version, but wasn't in the older version, so that line changes (as it is included as context for the patch file).

If applied, the patch in the files/ dir looks like:

@@ -750,7 +750,7 @@ The browser is unable to recover your settings.
       </message>
 
       <!-- ProcessSingleton -->
-      <if expr="is_linux or is_macosx">
+      <if expr="is_linux or is_macosx or is_posix">
         <message name="IDS_PROFILE_IN_USE_POSIX" desc="Message shown when the browser cannot start because the profile is in use on a different host.">
           The profile appears to be in use by another browsr process (<ph name="PROCESS_ID">$1<ex>12345</ex></ph>) on another computer (<ph name="HOST_NAME">$2<ex>example.com</ex></ph>). The browser has locked the profile so that it doesn't get corrupted. If you are sure no other processes are using this profile, you can unlock the profile and relaunch the browser.
         </message>
Comment 6 Chris Hutchinson 2020-05-25 16:26:46 UTC
(In reply to Matthias Wolf from comment #5)
Thanks for the reply, Matthias. You're probably right.
I went ahead and applied your patch. Then built &&
installed iridium on FBSD13 13.0-CURRENT r361107 amd64.
With ports @r535355, and all went as intended/expected.
IOW As far as 13-CURRENT on amd64 goes, this patch is
ready for commit. It runs just fine.

Thanks!

--Chris
Comment 7 tech-lists 2020-07-21 08:49:15 UTC
This patch doesn't work on 12.1-stable, please see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=247908
Comment 8 commit-hook freebsd_committer 2020-07-23 16:31:42 UTC
A commit references this bug:

Author: rene
Date: Thu Jul 23 16:31:24 UTC 2020
New revision: 542938
URL: https://svnweb.freebsd.org/changeset/ports/542938

Log:
  www/iridium: update to 2020.04.81

  PR:		245959
  Submitted by:	Matthias Wolf
  MFH:		2020Q3
  Security:	any Chromium vulnerability between 73 and 81

Changes:
  head/www/iridium/Makefile
  head/www/iridium/distinfo
  head/www/iridium/files/extra-patch-clang
  head/www/iridium/files/patch-3p-pdfium_3p_base_allocator_partition__allocator_page__allocator__internals__posix.h
  head/www/iridium/files/patch-BUILD.gn
  head/www/iridium/files/patch-apps_app__restore__service__browsertest.cc
  head/www/iridium/files/patch-apps_ui_views_app__window__frame__view.cc
  head/www/iridium/files/patch-ash_display_mirror__window__controller.cc
  head/www/iridium/files/patch-base_BUILD.gn
  head/www/iridium/files/patch-base_allocator_allocator__shim.cc
  head/www/iridium/files/patch-base_allocator_allocator__shim__default__dispatch__to__glibc.cc
  head/www/iridium/files/patch-base_allocator_allocator__shim__unittest.cc
  head/www/iridium/files/patch-base_allocator_partition__allocator_page__allocator.cc
  head/www/iridium/files/patch-base_allocator_partition__allocator_page__allocator__internals__posix.h
  head/www/iridium/files/patch-base_allocator_partition__allocator_partition__alloc__unittest.cc
  head/www/iridium/files/patch-base_base__switches.cc
  head/www/iridium/files/patch-base_base__switches.h
  head/www/iridium/files/patch-base_cpu.cc
  head/www/iridium/files/patch-base_debug_debugger__posix.cc
  head/www/iridium/files/patch-base_debug_elf__reader.cc
  head/www/iridium/files/patch-base_debug_elf__reader__linux.cc
  head/www/iridium/files/patch-base_debug_proc__maps__linux.cc
  head/www/iridium/files/patch-base_debug_stack__trace.h
  head/www/iridium/files/patch-base_debug_stack__trace__posix.cc
  head/www/iridium/files/patch-base_debug_stack__trace__unittest.cc
  head/www/iridium/files/patch-base_files_file__path__unittest.cc
  head/www/iridium/files/patch-base_files_file__path__watcher.cc
  head/www/iridium/files/patch-base_files_file__path__watcher__stub.cc
  head/www/iridium/files/patch-base_files_file__path__watcher__unittest.cc
  head/www/iridium/files/patch-base_files_file__util.h
  head/www/iridium/files/patch-base_files_file__util__posix.cc
  head/www/iridium/files/patch-base_files_file__util__unittest.cc
  head/www/iridium/files/patch-base_files_memory__mapped__file__posix.cc
  head/www/iridium/files/patch-base_files_scoped__file.cc
  head/www/iridium/files/patch-base_i18n_icu__util.cc
  head/www/iridium/files/patch-base_linux__util.cc
  head/www/iridium/files/patch-base_logging__unittest.cc
  head/www/iridium/files/patch-base_memory_discardable__memory.cc
  head/www/iridium/files/patch-base_memory_discardable__memory__internal.h
  head/www/iridium/files/patch-base_memory_madv__free__discardable__memory__posix.cc
  head/www/iridium/files/patch-base_memory_platform__shared__memory__region.h
  head/www/iridium/files/patch-base_memory_platform__shared__memory__region__posix.cc
  head/www/iridium/files/patch-base_memory_shared__memory__region__unittest.cc
  head/www/iridium/files/patch-base_numerics_safe__math__shared__impl.h
  head/www/iridium/files/patch-base_path__service__unittest.cc
  head/www/iridium/files/patch-base_process_internal__linux.cc
  head/www/iridium/files/patch-base_process_internal__linux.h
  head/www/iridium/files/patch-base_process_kill.h
  head/www/iridium/files/patch-base_process_kill__posix.cc
  head/www/iridium/files/patch-base_process_launch.h
  head/www/iridium/files/patch-base_process_launch__posix.cc
  head/www/iridium/files/patch-base_process_memory.cc
  head/www/iridium/files/patch-base_process_memory.h
  head/www/iridium/files/patch-base_process_memory__unittest.cc
  head/www/iridium/files/patch-base_process_process__handle.cc
  head/www/iridium/files/patch-base_process_process__handle.h
  head/www/iridium/files/patch-base_process_process__linux.cc
  head/www/iridium/files/patch-base_process_process__metrics.cc
  head/www/iridium/files/patch-base_process_process__metrics.h
  head/www/iridium/files/patch-base_process_process__metrics__freebsd.cc
  head/www/iridium/files/patch-base_process_process__metrics__posix.cc
  head/www/iridium/files/patch-base_process_process__util__unittest.cc
  head/www/iridium/files/patch-base_profiler_register__context.h
  head/www/iridium/files/patch-base_profiler_sampling__profiler__thread__token.cc
  head/www/iridium/files/patch-base_profiler_sampling__profiler__thread__token.h
  head/www/iridium/files/patch-base_profiler_stack__copier__signal.cc
  head/www/iridium/files/patch-base_profiler_stack__sampling__profiler__unittest.cc
  head/www/iridium/files/patch-base_profiler_thread__delegate__posix.cc
  head/www/iridium/files/patch-base_sampling__heap__profiler_sampling__heap__profiler.cc
  head/www/iridium/files/patch-base_security__unittest.cc
  head/www/iridium/files/patch-base_synchronization_lock__impl.h
  head/www/iridium/files/patch-base_syslog__logging.cc
  head/www/iridium/files/patch-base_system_sys__info.h
  head/www/iridium/files/patch-base_system_sys__info__freebsd.cc
  head/www/iridium/files/patch-base_system_sys__info__posix.cc
  head/www/iridium/files/patch-base_task_task__scheduler_scheduler__single__thread__task__runner__manager__unittest.cc
  head/www/iridium/files/patch-base_task_thread__pool_environment__config__unittest.cc
  head/www/iridium/files/patch-base_test_fontconfig__util__linux.cc
  head/www/iridium/files/patch-base_test_generate__fontconfig__caches.cc
  head/www/iridium/files/patch-base_test_launcher_test__launcher.cc
  head/www/iridium/files/patch-base_test_test__file__util__linux.cc
  head/www/iridium/files/patch-base_test_test__file__util__posix.cc
  head/www/iridium/files/patch-base_test_test__suite.cc
  head/www/iridium/files/patch-base_threading_platform__thread.h
  head/www/iridium/files/patch-base_threading_platform__thread__unittest.cc
  head/www/iridium/files/patch-base_threading_thread__task__runner__handle.cc
  head/www/iridium/files/patch-base_trace__event_malloc__dump__provider.cc
  head/www/iridium/files/patch-build_config_BUILD.gn
  head/www/iridium/files/patch-build_config_BUILDCONFIG.gn
  head/www/iridium/files/patch-build_config_allocator.gni
  head/www/iridium/files/patch-build_config_compiler_BUILD.gn
  head/www/iridium/files/patch-build_config_compiler_compiler.gni
  head/www/iridium/files/patch-build_config_features.gni
  head/www/iridium/files/patch-build_config_gclient__args.gni
  head/www/iridium/files/patch-build_config_linux_pkg-config.py
  head/www/iridium/files/patch-build_detect__host__arch.py
  head/www/iridium/files/patch-build_gn__run__binary.py
  head/www/iridium/files/patch-build_toolchain_gcc__toolchain.gni
  head/www/iridium/files/patch-build_toolchain_get__concurrent__links.py
  head/www/iridium/files/patch-build_toolchain_linux_BUILD.gn
  head/www/iridium/files/patch-cc_BUILD.gn
  head/www/iridium/files/patch-cc_layers_scrollbar__layer__impl__base.cc
  head/www/iridium/files/patch-cc_trees_property__tree.cc
  head/www/iridium/files/patch-chrome_app_chrome__command__ids.h
  head/www/iridium/files/patch-chrome_app_chrome__main.cc
  head/www/iridium/files/patch-chrome_app_chrome__main__delegate.cc
  head/www/iridium/files/patch-chrome_app_chromium__strings.grd
  head/www/iridium/files/patch-chrome_app_generated__resources.grd
  head/www/iridium/files/patch-chrome_app_google__chrome__strings.grd
  head/www/iridium/files/patch-chrome_app_settings__strings.grdp
  head/www/iridium/files/patch-chrome_app_shutdown__signal__handlers__posix.cc
  head/www/iridium/files/patch-chrome_app_theme_chrome__unscaled__resources.grd
  head/www/iridium/files/patch-chrome_app_theme_theme__resources.grd
  head/www/iridium/files/patch-chrome_browser_about__flags.cc
  head/www/iridium/files/patch-chrome_browser_after__startup__task__utils.cc
  head/www/iridium/files/patch-chrome_browser_apps_platform__apps_api_music__manager__private_device__id__linux.cc
  head/www/iridium/files/patch-chrome_browser_autocomplete_chrome__autocomplete__scheme__classifier.cc
  head/www/iridium/files/patch-chrome_browser_background_background__mode__manager.cc
  head/www/iridium/files/patch-chrome_browser_browser__resources.grd
  head/www/iridium/files/patch-chrome_browser_chrome__browser__interface__binders.cc
  head/www/iridium/files/patch-chrome_browser_chrome__browser__main.cc
  head/www/iridium/files/patch-chrome_browser_chrome__browser__main__linux.cc
  head/www/iridium/files/patch-chrome_browser_chrome__browser__main__posix.cc
  head/www/iridium/files/patch-chrome_browser_chrome__content__browser__client.cc
  head/www/iridium/files/patch-chrome_browser_chrome__content__browser__client.h
  head/www/iridium/files/patch-chrome_browser_crash__upload__list_crash__upload__list.cc
  head/www/iridium/files/patch-chrome_browser_crash__upload__list_crash__upload__list__crashpad.cc
  head/www/iridium/files/patch-chrome_browser_custom__handlers_protocol__handler__registry.cc
  head/www/iridium/files/patch-chrome_browser_dev__ui__browser__resources.grd
  head/www/iridium/files/patch-chrome_browser_devtools_devtools__eye__dropper.cc
  head/www/iridium/files/patch-chrome_browser_download_chrome__download__manager__delegate.cc
  head/www/iridium/files/patch-chrome_browser_download_download__commands.cc
  head/www/iridium/files/patch-chrome_browser_download_download__commands.h
  head/www/iridium/files/patch-chrome_browser_download_download__item__model.cc
  head/www/iridium/files/patch-chrome_browser_download_download__prefs.cc
  head/www/iridium/files/patch-chrome_browser_download_download__prefs.h
  head/www/iridium/files/patch-chrome_browser_download_download__shelf__context__menu.cc
  head/www/iridium/files/patch-chrome_browser_download_download__status__updater.cc
  head/www/iridium/files/patch-chrome_browser_extensions_BUILD.gn
  head/www/iridium/files/patch-chrome_browser_extensions_activity__log_activity__log.cc
  head/www/iridium/files/patch-chrome_browser_extensions_api_enterprise__reporting__private_device__info__fetcher.cc
  head/www/iridium/files/patch-chrome_browser_extensions_api_enterprise__reporting__private_device__info__fetcher__linux.cc
  head/www/iridium/files/patch-chrome_browser_extensions_api_erp_chrome_desktop_report_request_helper.cc
  head/www/iridium/files/patch-chrome_browser_extensions_api_image__writer__private_removable__storage__provider.cc
  head/www/iridium/files/patch-chrome_browser_extensions_api_runtime_chrome__runtime__api__delegate.cc
  head/www/iridium/files/patch-chrome_browser_extensions_api_settings__private_prefs__util.cc
  head/www/iridium/files/patch-chrome_browser_extensions_api_webrtc__logging__private_webrtc__logging__private__api.cc
  head/www/iridium/files/patch-chrome_browser_extensions_bookmark__app__helper.cc
  head/www/iridium/files/patch-chrome_browser_extensions_browser__context__keyed__service__factories.cc
  head/www/iridium/files/patch-chrome_browser_extensions_external__provider__impl.cc
  head/www/iridium/files/patch-chrome_browser_extensions_install__signer.cc
  head/www/iridium/files/patch-chrome_browser_first__run_first__run__dialog.h
  head/www/iridium/files/patch-chrome_browser_first__run_first__run__internal.h
  head/www/iridium/files/patch-chrome_browser_first__run_first__run__internal__posix.cc
  head/www/iridium/files/patch-chrome_browser_flag__descriptions.cc
  head/www/iridium/files/patch-chrome_browser_flag__descriptions.h
  head/www/iridium/files/patch-chrome_browser_media__galleries_fileapi_mtp__device__map__service.cc
  head/www/iridium/files/patch-chrome_browser_media__galleries_media__file__system__registry.cc
  head/www/iridium/files/patch-chrome_browser_media_router_providers_wired__display_wired__display__media__route__provider.cc
  head/www/iridium/files/patch-chrome_browser_media_webrtc_webrtc__event__log__uploader.cc
  head/www/iridium/files/patch-chrome_browser_media_webrtc_webrtc__log__uploader.cc
  head/www/iridium/files/patch-chrome_browser_media_webrtc_webrtc__logging__controller.cc
  head/www/iridium/files/patch-chrome_browser_media_webrtc_webrtc__logging__controller.h
  head/www/iridium/files/patch-chrome_browser_media_webrtc_webrtc__logging__handler__host.cc
  head/www/iridium/files/patch-chrome_browser_media_webrtc_webrtc__logging__handler__host.h
  head/www/iridium/files/patch-chrome_browser_metrics_bluetooth__available__utility.cc
  head/www/iridium/files/patch-chrome_browser_metrics_chrome__browser__main__extra__parts__metrics.cc
  head/www/iridium/files/patch-chrome_browser_metrics_chrome__metrics__service__client.cc
  head/www/iridium/files/patch-chrome_browser_metrics_process__memory__metrics__emitter.cc
  head/www/iridium/files/patch-chrome_browser_native__file__system_chrome__native__file__system__permission__context.cc
  head/www/iridium/files/patch-chrome_browser_net_system__network__context__manager.cc
  head/www/iridium/files/patch-chrome_browser_notifications_notification__display__service__impl.cc
  head/www/iridium/files/patch-chrome_browser_password__manager_chrome__password__manager__client.cc
  head/www/iridium/files/patch-chrome_browser_password__manager_password__store__factory.cc
  head/www/iridium/files/patch-chrome_browser_performance__monitor_process__metrics__history.cc
  head/www/iridium/files/patch-chrome_browser_performance__monitor_process__metrics__history.h
  head/www/iridium/files/patch-chrome_browser_platform__util.h
  head/www/iridium/files/patch-chrome_browser_plugins_plugin__info__host__impl.cc
  head/www/iridium/files/patch-chrome_browser_plugins_plugins__resource__service.cc
  head/www/iridium/files/patch-chrome_browser_policy_browser__signin__policy__handler.cc
  head/www/iridium/files/patch-chrome_browser_policy_configuration__policy__handler__list__factory.cc
  head/www/iridium/files/patch-chrome_browser_policy_machine__level__user__cloud__policy__controller.cc
  head/www/iridium/files/patch-chrome_browser_policy_policy__prefs__browsertest.cc
  head/www/iridium/files/patch-chrome_browser_prefs_browser__prefs.cc
  head/www/iridium/files/patch-chrome_browser_prefs_pref__service__incognito__whitelist.cc
  head/www/iridium/files/patch-chrome_browser_process__singleton__posix.cc
  head/www/iridium/files/patch-chrome_browser_profiles_chrome__browser__main__extra__parts__profiles.cc
  head/www/iridium/files/patch-chrome_browser_profiles_profile__attributes__entry.cc
  head/www/iridium/files/patch-chrome_browser_renderer__context__menu_render__view__context__menu.cc
  head/www/iridium/files/patch-chrome_browser_renderer__preferences__util.cc
  head/www/iridium/files/patch-chrome_browser_resources_settings_appearance__page_appearance__browser__proxy.js
  head/www/iridium/files/patch-chrome_browser_resources_settings_appearance__page_appearance__page.html
  head/www/iridium/files/patch-chrome_browser_resources_settings_appearance__page_appearance__page.js
  head/www/iridium/files/patch-chrome_browser_safe__browsing_incident__reporting_incident__handler__util.cc
  head/www/iridium/files/patch-chrome_browser_safe__browsing_incident__reporting_incident__reporting__service.cc
  head/www/iridium/files/patch-chrome_browser_search_local__files__ntp__source.cc
  head/www/iridium/files/patch-chrome_browser_search_search__suggest_search__suggest__service.cc
  head/www/iridium/files/patch-chrome_browser_send__tab__to__self_receiving__ui__handler__registry.cc
  head/www/iridium/files/patch-chrome_browser_send__tab__to__self_send__tab__to__self__client__service.cc
  head/www/iridium/files/patch-chrome_browser_sharing_shared__clipboard_feature__flags.cc
  head/www/iridium/files/patch-chrome_browser_sharing_shared__clipboard_feature__flags.h
  head/www/iridium/files/patch-chrome_browser_sharing_sharing__device__registration.cc
  head/www/iridium/files/patch-chrome_browser_sharing_sharing__handler__registry__impl.cc
  head/www/iridium/files/patch-chrome_browser_sharing_sharing__service.cc
  head/www/iridium/files/patch-chrome_browser_sharing_webrtc_webrtc__flags.cc
  head/www/iridium/files/patch-chrome_browser_sharing_webrtc_webrtc__flags.h
  head/www/iridium/files/patch-chrome_browser_signin_signin__util.cc
  head/www/iridium/files/patch-chrome_browser_ssl_ssl__error__controller__client.cc
  head/www/iridium/files/patch-chrome_browser_sync_chrome__sync__client.cc
  head/www/iridium/files/patch-chrome_browser_task__manager_sampling_task__group.cc
  head/www/iridium/files/patch-chrome_browser_task__manager_sampling_task__group.h
  head/www/iridium/files/patch-chrome_browser_task__manager_sampling_task__group__sampler.cc
  head/www/iridium/files/patch-chrome_browser_task__manager_sampling_task__group__sampler.h
  head/www/iridium/files/patch-chrome_browser_task__manager_sampling_task__manager__impl.cc
  head/www/iridium/files/patch-chrome_browser_themes_theme__service__factory.cc
  head/www/iridium/files/patch-chrome_browser_tracing_crash__service__uploader.cc
  head/www/iridium/files/patch-chrome_browser_ui_browser__command__controller.cc
  head/www/iridium/files/patch-chrome_browser_ui_browser__window.h
  head/www/iridium/files/patch-chrome_browser_ui_gtk_print__dialog__gtk.cc
  head/www/iridium/files/patch-chrome_browser_ui_input__method_input__method__engine.h
  head/www/iridium/files/patch-chrome_browser_ui_input__method_input__method__engine__base.cc
  head/www/iridium/files/patch-chrome_browser_ui_libgtkui_print__dialog__gtk.cc
  head/www/iridium/files/patch-chrome_browser_ui_sad__tab.cc
  head/www/iridium/files/patch-chrome_browser_ui_startup_bad__flags__prompt.cc
  head/www/iridium/files/patch-chrome_browser_ui_startup_startup__browser__creator.cc
  head/www/iridium/files/patch-chrome_browser_ui_tab__helpers.cc
  head/www/iridium/files/patch-chrome_browser_ui_task__manager_task__manager__table__model.cc
  head/www/iridium/files/patch-chrome_browser_ui_toolbar_app__menu__model.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_accelerator__table.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_chrome__browser__main__extra__parts__views.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_chrome__views__delegate.h
  head/www/iridium/files/patch-chrome_browser_ui_views_download_download__item__view.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_first__run__dialog.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_frame_browser__frame.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_frame_browser__view.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_frame_browser__view.h
  head/www/iridium/files/patch-chrome_browser_ui_views_frame_opaque__browser__frame__view.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_frame_opaque__browser__frame__view__platform__specific.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_frame_system__menu__model__builder.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_frame_system__menu__model__delegate.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_hung__renderer__view.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_tabs_new__tab__button.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_tabs_tab.cc
  head/www/iridium/files/patch-chrome_browser_ui_views_tabs_tab__drag__controller.cc
  head/www/iridium/files/patch-chrome_browser_ui_webui_about__ui.cc
  head/www/iridium/files/patch-chrome_browser_ui_webui_chrome__web__ui__controller__factory.cc
  head/www/iridium/files/patch-chrome_browser_ui_webui_settings_appearance__handler.cc
  head/www/iridium/files/patch-chrome_browser_ui_webui_settings_md__settings__localized__strings__provider.cc
  head/www/iridium/files/patch-chrome_browser_ui_webui_settings_settings__localized__strings__provider.cc
  head/www/iridium/files/patch-chrome_browser_web__applications_components_web__app__file__handler__registration.cc
  head/www/iridium/files/patch-chrome_browser_web__applications_components_web__app__shortcut.cc
  head/www/iridium/files/patch-chrome_browser_web__applications_extensions_bookmark__app__finalizer__utils.cc
  head/www/iridium/files/patch-chrome_browser_web__applications_extensions_web__app__extension__shortcut.cc
  head/www/iridium/files/patch-chrome_common_BUILD.gn
  head/www/iridium/files/patch-chrome_common_channel__info.h
  head/www/iridium/files/patch-chrome_common_channel__info__posix.cc
  head/www/iridium/files/patch-chrome_common_chrome__features.cc
  head/www/iridium/files/patch-chrome_common_chrome__features.h
  head/www/iridium/files/patch-chrome_common_chrome__paths.cc
  head/www/iridium/files/patch-chrome_common_chrome__paths.h
  head/www/iridium/files/patch-chrome_common_chrome__paths__internal.h
  head/www/iridium/files/patch-chrome_common_chrome__switches.cc
  head/www/iridium/files/patch-chrome_common_chrome__switches.h
  head/www/iridium/files/patch-chrome_common_extensions_api_api__sources.gni
  head/www/iridium/files/patch-chrome_common_extensions_command.cc
  head/www/iridium/files/patch-chrome_common_features.gni
  head/www/iridium/files/patch-chrome_common_media_cdm__host__file__path.cc
  head/www/iridium/files/patch-chrome_common_pref__names.cc
  head/www/iridium/files/patch-chrome_common_pref__names.h
  head/www/iridium/files/patch-chrome_common_webui__url__constants.cc
  head/www/iridium/files/patch-chrome_common_webui__url__constants.h
  head/www/iridium/files/patch-chrome_renderer_chrome__content__renderer__client.cc
  head/www/iridium/files/patch-chrome_test_BUILD.gn
  head/www/iridium/files/patch-chrome_test_base_chrome__test__launcher.cc
  head/www/iridium/files/patch-chrome_test_base_in__process__browser__test.cc
  head/www/iridium/files/patch-chrome_test_base_interactive__ui__tests__main.cc
  head/www/iridium/files/patch-chrome_test_base_test__browser__window.h
  head/www/iridium/files/patch-chrome_test_base_testing__browser__process.h
  head/www/iridium/files/patch-chrome_test_chromedriver_chrome__launcher.cc
  head/www/iridium/files/patch-chrome_test_chromedriver_chrome_chrome__finder.cc
  head/www/iridium/files/patch-chrome_test_chromedriver_key__converter__unittest.cc
  head/www/iridium/files/patch-chromecast_browser_cast__browser__main__parts.cc
  head/www/iridium/files/patch-chromecast_browser_cast__content__browser__client.cc
  head/www/iridium/files/patch-chromecast_browser_metrics_BUILD.gn
  head/www/iridium/files/patch-chromecast_external__mojo_public_cpp_external__mojo__broker.cc
  head/www/iridium/files/patch-chromecast_media_base_monotonic__clock.cc
  head/www/iridium/files/patch-chromecast_media_cma_backend_media__pipeline__backend__for__mixer.cc
  head/www/iridium/files/patch-chromecast_renderer_cast__content__renderer__client.cc
  head/www/iridium/files/patch-components_autofill__strings.grdp
  head/www/iridium/files/patch-components_autofill_content_renderer_password__form__conversion__utils.cc
  head/www/iridium/files/patch-components_autofill_core_browser_autofill__experiments.cc
  head/www/iridium/files/patch-components_autofill_core_browser_autofill__experiments.h
  head/www/iridium/files/patch-components_autofill_core_browser_autofill__external__delegate.cc
  head/www/iridium/files/patch-components_autofill_core_browser_personal__data__manager.cc
  head/www/iridium/files/patch-components_autofill_core_common_autofill__payments__features.cc
  head/www/iridium/files/patch-components_autofill_core_common_autofill__util.cc
  head/www/iridium/files/patch-components_crash_content_app_BUILD.gn
  head/www/iridium/files/patch-components_crash_content_app_crashpad.cc
  head/www/iridium/files/patch-components_crash_content_app_crashpad.h
  head/www/iridium/files/patch-components_crash_content_app_crashpad__linux.cc
  head/www/iridium/files/patch-components_crash_core_common_BUILD.gn
  head/www/iridium/files/patch-components_discardable__memory_service_discardable__shared__memory__manager.cc
  head/www/iridium/files/patch-components_download_internal_common_base__file.cc
  head/www/iridium/files/patch-components_download_quarantine_quarantine__linux.cc
  head/www/iridium/files/patch-components_download_quarantine_test__support__linux.cc
  head/www/iridium/files/patch-components_feature__engagement_public_event__constants.cc
  head/www/iridium/files/patch-components_feature__engagement_public_event__constants.h
  head/www/iridium/files/patch-components_feature__engagement_public_feature__constants.cc
  head/www/iridium/files/patch-components_feature__engagement_public_feature__constants.h
  head/www/iridium/files/patch-components_feature__engagement_public_feature__list.cc
  head/www/iridium/files/patch-components_feature__engagement_public_feature__list.h
  head/www/iridium/files/patch-components_feedback_anonymizer__tool.cc
  head/www/iridium/files/patch-components_flags__ui_flags__state.cc
  head/www/iridium/files/patch-components_gcm__driver_gcm__client.h
  head/www/iridium/files/patch-components_gcm__driver_gcm__client__impl.cc
  head/www/iridium/files/patch-components_metrics_BUILD.gn
  head/www/iridium/files/patch-components_metrics_metrics__log.cc
  head/www/iridium/files/patch-components_metrics_system__memory__stats__recorder__linux.cc
  head/www/iridium/files/patch-components_neterror_resources_neterror.js
  head/www/iridium/files/patch-components_network__session__configurator_browser_network__session__configurator.cc
  head/www/iridium/files/patch-components_new__or__sad__tab__strings.grdp
  head/www/iridium/files/patch-components_os__crypt_os__crypt.h
  head/www/iridium/files/patch-components_policy_core_common_cloud_cloud__policy__util.cc
  head/www/iridium/files/patch-components_policy_resources_policy__templates.json
  head/www/iridium/files/patch-components_policy_tools_generate__policy__source.py
  head/www/iridium/files/patch-components_security__interstitials_content_captive__portal__blocking__page.cc
  head/www/iridium/files/patch-components_services_filesystem_file__system__app.cc
  head/www/iridium/files/patch-components_services_font_font__service__app.cc
  head/www/iridium/files/patch-components_services_paint__preview__compositor_paint__preview__compositor__collection__impl.cc
  head/www/iridium/files/patch-components_services_paint__preview__compositor_paint__preview__compositor__collection__impl.h
  head/www/iridium/files/patch-components_startup__metric__utils_browser_startup__metric__utils.cc
  head/www/iridium/files/patch-components_storage__monitor_BUILD.gn
  head/www/iridium/files/patch-components_sync__device__info_device__info__sync__bridge.cc
  head/www/iridium/files/patch-components_sync__device__info_local__device__info__util.cc
  head/www/iridium/files/patch-components_sync__device__info_local__device__info__util__linux.cc
  head/www/iridium/files/patch-components_sync_base_get__session__name.cc
  head/www/iridium/files/patch-components_sync_base_get__session__name__linux.cc
  head/www/iridium/files/patch-components_sync_device__info_local__device__info__provider__impl.cc
  head/www/iridium/files/patch-components_update__client_update__query__params.cc
  head/www/iridium/files/patch-components_url__formatter_spoof__checks_idn__spoof__checker.cc
  head/www/iridium/files/patch-components_viz_common_features.cc
  head/www/iridium/files/patch-components_viz_common_gpu_dawn__context__provider.cc
  head/www/iridium/files/patch-components_viz_host_host__display__client.cc
  head/www/iridium/files/patch-components_viz_host_host__display__client.h
  head/www/iridium/files/patch-components_viz_service_display__embedder_skia__output__device__dawn.cc
  head/www/iridium/files/patch-components_viz_service_display__embedder_skia__output__surface__impl.cc
  head/www/iridium/files/patch-components_viz_service_display__embedder_software__output__surface.cc
  head/www/iridium/files/patch-components_viz_service_display__embedder_software__output__surface.h
  head/www/iridium/files/patch-components_viz_service_frame__sinks_root__compositor__frame__sink__impl.cc
  head/www/iridium/files/patch-components_viz_service_frame__sinks_root__compositor__frame__sink__impl.h
  head/www/iridium/files/patch-components_viz_test_fake__output__surface.cc
  head/www/iridium/files/patch-components_viz_test_fake__output__surface.h
  head/www/iridium/files/patch-components_viz_test_mock__display__client.h
  head/www/iridium/files/patch-content_app_content__main__runner__impl.cc
  head/www/iridium/files/patch-content_browser_BUILD.gn
  head/www/iridium/files/patch-content_browser_browser__main__loop.cc
  head/www/iridium/files/patch-content_browser_child__process__launcher__helper__linux.cc
  head/www/iridium/files/patch-content_browser_devtools_protocol_system__info__handler.cc
  head/www/iridium/files/patch-content_browser_gpu_gpu__process__host.cc
  head/www/iridium/files/patch-content_browser_media_media__internals.cc
  head/www/iridium/files/patch-content_browser_memory_memory__monitor.cc
  head/www/iridium/files/patch-content_browser_ppapi__plugin__process__host.cc
  head/www/iridium/files/patch-content_browser_ppapi__plugin__process__host__receiver__bindings.cc
  head/www/iridium/files/patch-content_browser_renderer__host_input_input__device__change__observer.cc
  head/www/iridium/files/patch-content_browser_renderer__host_pepper_pepper__file__io__host.cc
  head/www/iridium/files/patch-content_browser_renderer__host_render__message__filter.cc
  head/www/iridium/files/patch-content_browser_renderer__host_render__message__filter.h
  head/www/iridium/files/patch-content_browser_renderer__host_render__process__host__impl.cc
  head/www/iridium/files/patch-content_browser_renderer__host_render__process__host__impl.h
  head/www/iridium/files/patch-content_browser_renderer__host_render__view__host__impl.cc
  head/www/iridium/files/patch-content_browser_renderer__host_render__widget__host__view__aura.cc
  head/www/iridium/files/patch-content_browser_renderer__host_render__widget__host__view__event__handler.cc
  head/www/iridium/files/patch-content_browser_scheduler_responsiveness_jank__monitor.cc
  head/www/iridium/files/patch-content_browser_scheduler_responsiveness_watcher.cc
  head/www/iridium/files/patch-content_browser_service__manager_service__manager__context.cc
  head/www/iridium/files/patch-content_browser_storage__partition__impl.cc
  head/www/iridium/files/patch-content_browser_storage__partition__impl__map.cc
  head/www/iridium/files/patch-content_browser_utility__process__host.cc
  head/www/iridium/files/patch-content_browser_utility__process__host__receiver__bindings.cc
  head/www/iridium/files/patch-content_browser_v8__snapshot__files.cc
  head/www/iridium/files/patch-content_browser_webui_shared__resources__data__source.cc
  head/www/iridium/files/patch-content_common_BUILD.gn
  head/www/iridium/files/patch-content_common_user__agent.cc
  head/www/iridium/files/patch-content_gpu_BUILD.gn
  head/www/iridium/files/patch-content_gpu_gpu__main.cc
  head/www/iridium/files/patch-content_gpu_gpu__sandbox__hook__linux.cc
  head/www/iridium/files/patch-content_ppapi__plugin_ppapi__blink__platform__impl.cc
  head/www/iridium/files/patch-content_ppapi__plugin_ppapi__blink__platform__impl.h
  head/www/iridium/files/patch-content_public_app_content__main__delegate.cc
  head/www/iridium/files/patch-content_public_app_content__main__delegate.h
  head/www/iridium/files/patch-content_public_app_content__packaged__services__manifest.cc
  head/www/iridium/files/patch-content_public_app_v8__snapshot__overlay__manifest.cc
  head/www/iridium/files/patch-content_public_common_child__process__host.h
  head/www/iridium/files/patch-content_public_common_common__param__traits__macros.h
  head/www/iridium/files/patch-content_public_common_content__features.cc
  head/www/iridium/files/patch-content_public_common_content__switches.cc
  head/www/iridium/files/patch-content_public_common_content__switches.h
  head/www/iridium/files/patch-content_public_common_renderer__preferences.h
  head/www/iridium/files/patch-content_public_test_browser__test__base.cc
  head/www/iridium/files/patch-content_public_test_content__browser__test.cc
  head/www/iridium/files/patch-content_public_test_mock__render__thread.cc
  head/www/iridium/files/patch-content_renderer_media_audio_audio__device__factory.cc
  head/www/iridium/files/patch-content_renderer_media_stream_processed__local__audio__source.cc
  head/www/iridium/files/patch-content_renderer_media_webrtc_webrtc__audio__renderer__unittest.cc
  head/www/iridium/files/patch-content_renderer_render__process__impl.cc
  head/www/iridium/files/patch-content_renderer_render__thread__impl.cc
  head/www/iridium/files/patch-content_renderer_renderer__blink__platform__impl.cc
  head/www/iridium/files/patch-content_renderer_renderer__blink__platform__impl.h
  head/www/iridium/files/patch-content_renderer_renderer__main__platform__delegate__linux.cc
  head/www/iridium/files/patch-content_shell_BUILD.gn
  head/www/iridium/files/patch-content_shell_app_shell__main__delegate.cc
  head/www/iridium/files/patch-content_shell_browser_shell__browser__context.cc
  head/www/iridium/files/patch-content_shell_browser_shell__browser__main__parts.cc
  head/www/iridium/files/patch-content_shell_browser_web__test_web__test__browser__context.cc
  head/www/iridium/files/patch-content_shell_browser_web__test_web__test__browser__main__parts.cc
  head/www/iridium/files/patch-content_shell_test__runner_test__runner.cc
  head/www/iridium/files/patch-content_test_content__test__suite.cc
  head/www/iridium/files/patch-content_utility_BUILD.gn
  head/www/iridium/files/patch-content_utility_utility__blink__platform__with__sandbox__support__impl.cc
  head/www/iridium/files/patch-content_utility_utility__blink__platform__with__sandbox__support__impl.h
  head/www/iridium/files/patch-device_bluetooth_BUILD.gn
  head/www/iridium/files/patch-device_gamepad_gamepad__provider.cc
  head/www/iridium/files/patch-device_gamepad_hid__writer__linux.cc
  head/www/iridium/files/patch-device_usb_BUILD.gn
  head/www/iridium/files/patch-device_usb_usb__context.cc
  head/www/iridium/files/patch-device_usb_usb__error.cc
  head/www/iridium/files/patch-device_usb_usb__service__impl.cc
  head/www/iridium/files/patch-device_usb_usb__service__impl.h
  head/www/iridium/files/patch-extensions_browser_api_declarative__webrequest_webrequest__action.cc
  head/www/iridium/files/patch-extensions_browser_api_messaging_message__service.cc
  head/www/iridium/files/patch-extensions_browser_browser__context__keyed__service__factories.cc
  head/www/iridium/files/patch-extensions_common_api___permission__features.json
  head/www/iridium/files/patch-extensions_common_api_runtime.json
  head/www/iridium/files/patch-extensions_common_feature__switch.cc
  head/www/iridium/files/patch-extensions_common_features_feature.cc
  head/www/iridium/files/patch-extensions_common_image__util.cc
  head/www/iridium/files/patch-extensions_shell_app_shell__main__delegate.cc
  head/www/iridium/files/patch-extensions_shell_browser_api_runtime_shell__runtime__api__delegate.cc
  head/www/iridium/files/patch-extensions_shell_browser_shell__extensions__api__client.cc
  head/www/iridium/files/patch-extensions_shell_browser_shell__extensions__api__client.h
  head/www/iridium/files/patch-google__apis_gcm_engine_heartbeat__manager.cc
  head/www/iridium/files/patch-gpu_command__buffer_common_gpu__memory__buffer__support.cc
  head/www/iridium/files/patch-gpu_command__buffer_service_external__vk__image__backing.cc
  head/www/iridium/files/patch-gpu_command__buffer_service_external__vk__image__backing.h
  head/www/iridium/files/patch-gpu_command__buffer_service_external__vk__image__gl__representation.cc
  head/www/iridium/files/patch-gpu_command__buffer_tests_gl__copy__texture__CHROMIUM__unittest.cc
  head/www/iridium/files/patch-gpu_command__buffer_tests_gl__test__utils.cc
  head/www/iridium/files/patch-gpu_command__buffer_tests_gl__test__utils.h
  head/www/iridium/files/patch-gpu_config_gpu__control__list.cc
  head/www/iridium/files/patch-gpu_ipc_common_gpu__memory__buffer__support.cc
  head/www/iridium/files/patch-gpu_ipc_common_gpu__memory__buffer__support.h
  head/www/iridium/files/patch-gpu_ipc_service_gpu__init.cc
  head/www/iridium/files/patch-gpu_ipc_service_gpu__memory__buffer__factory.cc
  head/www/iridium/files/patch-gpu_ipc_service_gpu__watchdog__thread.cc
  head/www/iridium/files/patch-gpu_ipc_service_gpu__watchdog__thread.h
  head/www/iridium/files/patch-gpu_vulkan_vulkan__function__pointers.cc
  head/www/iridium/files/patch-gpu_vulkan_vulkan__function__pointers.h
  head/www/iridium/files/patch-headless_lib_browser_headless__content__browser__client.cc
  head/www/iridium/files/patch-headless_lib_browser_headless__content__browser__client.h
  head/www/iridium/files/patch-headless_lib_browser_headless__request__context__manager.cc
  head/www/iridium/files/patch-headless_lib_browser_headless__request__context__manager.h
  head/www/iridium/files/patch-headless_lib_headless__content__main__delegate.cc
  head/www/iridium/files/patch-headless_lib_headless__content__main__delegate.h
  head/www/iridium/files/patch-ipc_ipc__channel.h
  head/www/iridium/files/patch-ipc_ipc__channel__common.cc
  head/www/iridium/files/patch-ipc_ipc__channel__mojo.cc
  head/www/iridium/files/patch-ipc_ipc__message__utils.cc
  head/www/iridium/files/patch-ipc_ipc__message__utils.h
  head/www/iridium/files/patch-media_BUILD.gn
  head/www/iridium/files/patch-media_audio_BUILD.gn
  head/www/iridium/files/patch-media_audio_alsa_audio__manager__alsa.cc
  head/www/iridium/files/patch-media_audio_pulse_pulse.sigs
  head/www/iridium/files/patch-media_base_media__switches.cc
  head/www/iridium/files/patch-media_base_scopedfd__helper.h
  head/www/iridium/files/patch-media_base_video__frame.cc
  head/www/iridium/files/patch-media_base_video__frame.h
  head/www/iridium/files/patch-media_capture_video_create__video__capture__device__factory.cc
  head/www/iridium/files/patch-media_capture_video_fake__video__capture__device__factory.cc
  head/www/iridium/files/patch-media_capture_video_file__video__capture__device__factory.cc
  head/www/iridium/files/patch-media_capture_video_linux_video__capture__device__factory__linux.cc
  head/www/iridium/files/patch-media_capture_video_linux_video__capture__device__linux.cc
  head/www/iridium/files/patch-media_capture_video_mock__gpu__memory__buffer__manager.cc
  head/www/iridium/files/patch-media_capture_video_shared__memory__handle__provider.cc
  head/www/iridium/files/patch-media_capture_video_shared__memory__handle__provider.h
  head/www/iridium/files/patch-media_capture_video_video__capture__buffer__pool__impl.cc
  head/www/iridium/files/patch-media_capture_video_video__capture__device__client.cc
  head/www/iridium/files/patch-media_formats_mp2t_es__parser__adts.cc
  head/www/iridium/files/patch-media_gpu_buffer__validation.cc
  head/www/iridium/files/patch-media_media__options.gni
  head/www/iridium/files/patch-media_mojo_clients_mojo__video__encode__accelerator.cc
  head/www/iridium/files/patch-media_mojo_mojom_video__frame__mojom__traits.cc
  head/www/iridium/files/patch-media_mojo_services_gpu__mojo__media__client.cc
  head/www/iridium/files/patch-media_video_fake__gpu__memory__buffer.cc
  head/www/iridium/files/patch-media_video_gpu__memory__buffer__video__frame__pool.cc
  head/www/iridium/files/patch-media_webrtc_webrtc__switches.cc
  head/www/iridium/files/patch-mojo_public_c_system_thunks.cc
  head/www/iridium/files/patch-mojo_public_js_mojo__bindings__resources.grd
  head/www/iridium/files/patch-net_BUILD.gn
  head/www/iridium/files/patch-net_base_address__tracker__linux.cc
  head/www/iridium/files/patch-net_base_features.cc
  head/www/iridium/files/patch-net_base_network__change__notifier.cc
  head/www/iridium/files/patch-net_dns_dns__config__service__posix__unittest.cc
  head/www/iridium/files/patch-net_dns_dns__util.cc
  head/www/iridium/files/patch-net_dns_host__resolver__proc.cc
  head/www/iridium/files/patch-net_features.gni
  head/www/iridium/files/patch-net_http_http__auth__gssapi__posix.cc
  head/www/iridium/files/patch-net_http_http__auth__gssapi__posix.h
  head/www/iridium/files/patch-net_http_http__network__session.cc
  head/www/iridium/files/patch-net_nqe_network__quality__estimator.cc
  head/www/iridium/files/patch-net_nqe_network__quality__estimator__unittest.cc
  head/www/iridium/files/patch-net_proxy__resolution_proxy__config__service__linux.cc
  head/www/iridium/files/patch-net_proxy__resolution_proxy__resolution__service.cc
  head/www/iridium/files/patch-net_socket_socket__posix.cc
  head/www/iridium/files/patch-net_socket_socks5__client__socket.cc
  head/www/iridium/files/patch-net_socket_udp__socket__posix.cc
  head/www/iridium/files/patch-net_socket_udp__socket__posix.h
  head/www/iridium/files/patch-net_socket_unix__domain__client__socket__posix.cc
  head/www/iridium/files/patch-net_third__party_quic_platform_impl_quic__ip__address__impl.cc
  head/www/iridium/files/patch-net_tools_cert__verify__tool_cert__verify__tool.cc
  head/www/iridium/files/patch-net_tools_quic_quic__http__proxy__backend.cc
  head/www/iridium/files/patch-net_traffic__annotation_network__traffic__annotation.h
  head/www/iridium/files/patch-net_url__request_url__fetcher.cc
  head/www/iridium/files/patch-net_url__request_url__fetcher.h
  head/www/iridium/files/patch-net_url__request_url__request__context.cc
  head/www/iridium/files/patch-net_url__request_url__request__context.h
  head/www/iridium/files/patch-net_url__request_url__request__context__builder.cc
  head/www/iridium/files/patch-pdf_pdfium_pdfium__engine.cc
  head/www/iridium/files/patch-ppapi_proxy_file__io__resource.cc
  head/www/iridium/files/patch-ppapi_proxy_flash__resource.cc
  head/www/iridium/files/patch-printing_backend_print__backend__cups.h
  head/www/iridium/files/patch-printing_cups__config__helper.py
  head/www/iridium/files/patch-remoting_base_chromoting__event.cc
  head/www/iridium/files/patch-remoting_host_host__attributes.cc
  head/www/iridium/files/patch-remoting_host_host__details.cc
  head/www/iridium/files/patch-remoting_host_host__main.cc
  head/www/iridium/files/patch-remoting_host_it2me_it2me__native__messaging__host__main.cc
  head/www/iridium/files/patch-remoting_host_me2me__desktop__environment.cc
  head/www/iridium/files/patch-remoting_host_remoting__me2me__host.cc
  head/www/iridium/files/patch-remoting_host_switches.cc
  head/www/iridium/files/patch-remoting_host_switches.h
  head/www/iridium/files/patch-remoting_resources_remoting__strings.grd
  head/www/iridium/files/patch-remoting_webapp_base_js_platform.js
  head/www/iridium/files/patch-sandbox_features.gni
  head/www/iridium/files/patch-sandbox_linux_BUILD.gn
  head/www/iridium/files/patch-sandbox_linux_services_libc__interceptor.cc
  head/www/iridium/files/patch-services_audio_BUILD.gn
  head/www/iridium/files/patch-services_catalog_store.cc
  head/www/iridium/files/patch-services_catalog_store.h
  head/www/iridium/files/patch-services_content_simple__browser_simple__browser__service.h
  head/www/iridium/files/patch-services_device_device__service.h
  head/www/iridium/files/patch-services_device_geolocation_location__arbitrator.cc
  head/www/iridium/files/patch-services_device_hid_BUILD.gn
  head/www/iridium/files/patch-services_device_hid_hid__connection__freebsd.cc
  head/www/iridium/files/patch-services_device_hid_hid__connection__freebsd.h
  head/www/iridium/files/patch-services_device_hid_hid__service__freebsd.cc
  head/www/iridium/files/patch-services_device_hid_hid__service__freebsd.h
  head/www/iridium/files/patch-services_device_serial_serial__io__handler__posix.cc
  head/www/iridium/files/patch-services_device_time__zone__monitor_time__zone__monitor.cc
  head/www/iridium/files/patch-services_device_time__zone__monitor_time__zone__monitor__linux.cc
  head/www/iridium/files/patch-services_device_usb_BUILD.gn
  head/www/iridium/files/patch-services_network_BUILD.gn
  head/www/iridium/files/patch-services_network_network__context.cc
  head/www/iridium/files/patch-services_network_network__service.cc
  head/www/iridium/files/patch-services_network_network__service.h
  head/www/iridium/files/patch-services_resource__coordinator_memory__instrumentation_queued__request__dispatcher.cc
  head/www/iridium/files/patch-services_resource__coordinator_public_cpp_memory__instrumentation_os__metrics.h
  head/www/iridium/files/patch-services_resource__coordinator_public_cpp_memory__instrumentation_os__metrics__linux.cc
  head/www/iridium/files/patch-services_service__manager_embedder_main.cc
  head/www/iridium/files/patch-services_service__manager_public_cpp_service__executable_BUILD.gn
  head/www/iridium/files/patch-services_service__manager_runner_host_BUILD.gn
  head/www/iridium/files/patch-services_service__manager_sandbox_BUILD.gn
  head/www/iridium/files/patch-services_service__manager_sandbox_sandbox__type.cc
  head/www/iridium/files/patch-services_service__manager_zygote_zygote__linux.cc
  head/www/iridium/files/patch-services_service__manager_zygote_zygote__main__linux.cc
  head/www/iridium/files/patch-services_tracing_public_cpp_perfetto_trace__time.cc
  head/www/iridium/files/patch-services_tracing_public_cpp_stack__sampling_tracing__sampler__profiler.cc
  head/www/iridium/files/patch-services_video__capture_broadcasting__receiver.cc
  head/www/iridium/files/patch-third__party_angle_BUILD.gn
  head/www/iridium/files/patch-third__party_angle_src_libANGLE_Display.cpp
  head/www/iridium/files/patch-third__party_angle_src_libANGLE_renderer_driver__utils.h
  head/www/iridium/files/patch-third__party_angle_src_libANGLE_renderer_vulkan_DisplayVk__api.h
  head/www/iridium/files/patch-third__party_angle_third__party_vulkan-loader_src_loader_loader.c
  head/www/iridium/files/patch-third__party_blink_renderer_BUILD.gn
  head/www/iridium/files/patch-third__party_blink_renderer_controller_blink__initializer.cc
  head/www/iridium/files/patch-third__party_blink_renderer_controller_memory__usage__monitor__posix.h
  head/www/iridium/files/patch-third__party_blink_renderer_core_editing_editing__behavior.cc
  head/www/iridium/files/patch-third__party_blink_renderer_core_html_canvas_canvas__async__blob__creator.cc
  head/www/iridium/files/patch-third__party_blink_renderer_core_html_forms_internal__popup__menu.cc
  head/www/iridium/files/patch-third__party_blink_renderer_core_inspector_inspector__memory__agent.cc
  head/www/iridium/files/patch-third__party_blink_renderer_core_layout_layout__view.cc
  head/www/iridium/files/patch-third__party_blink_renderer_core_paint_paint__layer.cc
  head/www/iridium/files/patch-third__party_blink_renderer_core_scroll_scrollbar__theme__aura.cc
  head/www/iridium/files/patch-third__party_blink_renderer_modules_mediastream_processed__local__audio__source.cc
  head/www/iridium/files/patch-third__party_blink_renderer_platform_BUILD.gn
  head/www/iridium/files/patch-third__party_blink_renderer_platform_fonts_font__cache.cc
  head/www/iridium/files/patch-third__party_blink_renderer_platform_fonts_font__cache.h
  head/www/iridium/files/patch-third__party_blink_renderer_platform_fonts_font__description.cc
  head/www/iridium/files/patch-third__party_blink_renderer_platform_fonts_font__metrics.cc
  head/www/iridium/files/patch-third__party_blink_renderer_platform_fonts_font__unique__name__lookup.cc
  head/www/iridium/files/patch-third__party_blink_renderer_platform_fonts_skia_font__cache__skia.cc
  head/www/iridium/files/patch-third__party_blink_renderer_platform_heap_stack__frame__depth.cc
  head/www/iridium/files/patch-third__party_blink_renderer_platform_wtf_BUILD.gn
  head/www/iridium/files/patch-third__party_blink_renderer_platform_wtf_assertions.cc
  head/www/iridium/files/patch-third__party_blink_renderer_platform_wtf_container__annotations.h
  head/www/iridium/files/patch-third__party_blink_renderer_platform_wtf_stack__util.cc
  head/www/iridium/files/patch-third__party_blink_renderer_platform_wtf_threading.cc
  head/www/iridium/files/patch-third__party_blink_renderer_platform_wtf_threading__pthreads.cc
  head/www/iridium/files/patch-third__party_boringssl_BUILD.gn
  head/www/iridium/files/patch-third__party_boringssl_src_crypto_cpu-aarch64-linux.c
  head/www/iridium/files/patch-third__party_crashpad_crashpad_build_crashpad__buildconfig.gni
  head/www/iridium/files/patch-third__party_crashpad_crashpad_util_posix_signals.cc
  head/www/iridium/files/patch-third__party_crc32c_src_src_crc32c__arm64__linux__check.h
  head/www/iridium/files/patch-third__party_googletest_src_googletest_include_gtest_internal_gtest-port.h
  head/www/iridium/files/patch-third__party_googletest_src_googletest_src_gtest-port.cc
  head/www/iridium/files/patch-third__party_googletest_src_googletest_src_gtest.cc
  head/www/iridium/files/patch-third__party_googletest_src_googletest_test_googletest-port-test.cc
  head/www/iridium/files/patch-third__party_harfbuzz-ng_harfbuzz.gni
  head/www/iridium/files/patch-third__party_leveldatabase_env__chromium.cc
  head/www/iridium/files/patch-third__party_libphonenumber_dist_cpp_src_phonenumbers_base_synchronization_lock.h
  head/www/iridium/files/patch-third__party_libpng_pnglibconf.h
  head/www/iridium/files/patch-third__party_nasm_config_config-linux.h
  head/www/iridium/files/patch-third__party_pdfium_core_fxcrt_cfx__datetime.cpp
  head/www/iridium/files/patch-third__party_pdfium_core_fxcrt_fx__system.h
  head/www/iridium/files/patch-third__party_pdfium_core_fxge_fx__ge__linux.cpp
  head/www/iridium/files/patch-third__party_pdfium_fxjs_cjs__publicmethods.cpp
  head/www/iridium/files/patch-third__party_pdfium_fxjs_fx__date__helpers.cpp
  head/www/iridium/files/patch-third__party_pdfium_xfa_fgas_font_cfx__fontsourceenum__file.cpp
  head/www/iridium/files/patch-third__party_perfetto_include_perfetto_base_build__config.h
  head/www/iridium/files/patch-third__party_perfetto_include_perfetto_base_event.h
  head/www/iridium/files/patch-third__party_perfetto_include_perfetto_base_thread__utils.h
  head/www/iridium/files/patch-third__party_perfetto_include_perfetto_base_time.h
  head/www/iridium/files/patch-third__party_perfetto_include_perfetto_base_watchdog__posix.h
  head/www/iridium/files/patch-third__party_perfetto_include_perfetto_ext_base_event__fd.h
  head/www/iridium/files/patch-third__party_perfetto_src_base_thread__task__runner.cc
  head/www/iridium/files/patch-third__party_perfetto_src_base_unix__socket.cc
  head/www/iridium/files/patch-third__party_perfetto_src_tracing_core_tracing__service__impl.cc
  head/www/iridium/files/patch-third__party_protobuf_src_google_protobuf_stubs_platform__macros.h
  head/www/iridium/files/patch-third__party_skia_src_core_SkCpu.cpp
  head/www/iridium/files/patch-third__party_skia_src_images_SkJpegEncoder.cpp
  head/www/iridium/files/patch-third__party_skia_src_opts_SkRasterPipeline__opts.h
  head/www/iridium/files/patch-third__party_skia_src_ports_SkFontHost__FreeType.cpp
  head/www/iridium/files/patch-third__party_skia_src_ports_SkOSFile__stdio.cpp
  head/www/iridium/files/patch-third__party_skia_src_sksl_SkSLString.h
  head/www/iridium/files/patch-third__party_skia_third__party_vulkanmemoryallocator_include_vk__mem__alloc.h
  head/www/iridium/files/patch-third__party_snappy_src_snappy.h
  head/www/iridium/files/patch-third__party_sqlite_BUILD.gn
  head/www/iridium/files/patch-third__party_swiftshader_BUILD.gn
  head/www/iridium/files/patch-third__party_swiftshader_src_Main_SwiftConfig.cpp
  head/www/iridium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_Display.cpp
  head/www/iridium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_Surface.cpp
  head/www/iridium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_libEGL.cpp
  head/www/iridium/files/patch-third__party_swiftshader_src_Vulkan_VkDebug.cpp
  head/www/iridium/files/patch-third__party_swiftshader_third__party_llvm-7.0_configs_linux_include_llvm_Config_config.h
  head/www/iridium/files/patch-third__party_swiftshader_third__party_llvm-7.0_configs_linux_include_llvm_Config_llvm-config.h
  head/www/iridium/files/patch-third__party_swiftshader_third__party_marl_src_memory.cpp
  head/www/iridium/files/patch-third__party_swiftshader_third__party_marl_src_thread.cpp
  head/www/iridium/files/patch-third__party_webrtc_BUILD.gn
  head/www/iridium/files/patch-third__party_webrtc_modules_audio__device_BUILD.gn
  head/www/iridium/files/patch-third__party_webrtc_modules_rtp__rtcp_source_forward__error__correction.cc
  head/www/iridium/files/patch-third__party_webrtc_rtc__base_BUILD.gn
  head/www/iridium/files/patch-third__party_webrtc_rtc__base_byte__order.h
  head/www/iridium/files/patch-third__party_webrtc_rtc__base_network.cc
  head/www/iridium/files/patch-third__party_webrtc_rtc__base_network.h
  head/www/iridium/files/patch-third__party_webrtc_rtc__base_physical__socket__server.cc
  head/www/iridium/files/patch-third__party_webrtc_rtc__base_platform__thread__types.cc
  head/www/iridium/files/patch-third__party_webrtc_rtc__base_string__utils.h
  head/www/iridium/files/patch-third__party_webrtc_rtc__base_third__party_sigslot_sigslot.h
  head/www/iridium/files/patch-third__party_webrtc_system__wrappers_BUILD.gn
  head/www/iridium/files/patch-third__party_yasm_yasm__assemble.gni
  head/www/iridium/files/patch-third__party_zlib_arm__features.c
  head/www/iridium/files/patch-tools_gn_base_files_file__posix.cc
  head/www/iridium/files/patch-tools_gn_build_gen.py
  head/www/iridium/files/patch-tools_gn_src_base_files_file__posix.cc
  head/www/iridium/files/patch-tools_gn_src_base_files_file__util.h
  head/www/iridium/files/patch-tools_gn_src_base_files_file__util__posix.cc
  head/www/iridium/files/patch-tools_gn_src_base_files_scoped__file.cc
  head/www/iridium/files/patch-tools_gn_src_gn_exec__process.cc
  head/www/iridium/files/patch-tools_gn_src_util_sys__info.cc
  head/www/iridium/files/patch-tools_gn_tools_gn_exec__process.cc
  head/www/iridium/files/patch-tools_json__schema__compiler_feature__compiler.py
  head/www/iridium/files/patch-tools_json__schema__compiler_model.py
  head/www/iridium/files/patch-tools_perf_chrome__telemetry__build_BUILD.gn
  head/www/iridium/files/patch-tools_variations_fieldtrial__to__struct.py
  head/www/iridium/files/patch-ui_base_dragdrop_os__exchange__data__provider__factory.cc
  head/www/iridium/files/patch-ui_base_ime_ime__engine__handler__interface.h
  head/www/iridium/files/patch-ui_base_ime_init_input__method__initializer.cc
  head/www/iridium/files/patch-ui_base_ime_input__method__initializer.cc
  head/www/iridium/files/patch-ui_base_resource_resource__bundle.cc
  head/www/iridium/files/patch-ui_base_ui__base__features.cc
  head/www/iridium/files/patch-ui_base_ui__base__features.h
  head/www/iridium/files/patch-ui_base_webui_web__ui__util.cc
  head/www/iridium/files/patch-ui_base_x_x11__shm__image__pool__base.cc
  head/www/iridium/files/patch-ui_compositor_compositor.cc
  head/www/iridium/files/patch-ui_compositor_compositor.h
  head/www/iridium/files/patch-ui_compositor_compositor__observer.h
  head/www/iridium/files/patch-ui_compositor_host_host__context__factory__private.cc
  head/www/iridium/files/patch-ui_events_devices_x11_device__data__manager__x11.cc
  head/www/iridium/files/patch-ui_events_keycodes_dom_keycode__converter.cc
  head/www/iridium/files/patch-ui_gfx_BUILD.gn
  head/www/iridium/files/patch-ui_gfx_canvas__skia.cc
  head/www/iridium/files/patch-ui_gfx_font__fallback__linux.cc
  head/www/iridium/files/patch-ui_gfx_font__names__testing.cc
  head/www/iridium/files/patch-ui_gfx_font__render__params.h
  head/www/iridium/files/patch-ui_gfx_font__util.cc
  head/www/iridium/files/patch-ui_gfx_gpu__memory__buffer.cc
  head/www/iridium/files/patch-ui_gfx_gpu__memory__buffer.h
  head/www/iridium/files/patch-ui_gfx_ipc_gfx__param__traits__macros.h
  head/www/iridium/files/patch-ui_gfx_linux_client__native__pixmap__dmabuf.cc
  head/www/iridium/files/patch-ui_gfx_mojo_buffer__types__struct__traits.cc
  head/www/iridium/files/patch-ui_gfx_mojo_buffer__types__struct__traits.h
  head/www/iridium/files/patch-ui_gfx_mojom_buffer__types__mojom__traits.cc
  head/www/iridium/files/patch-ui_gfx_mojom_buffer__types__mojom__traits.h
  head/www/iridium/files/patch-ui_gfx_native__pixmap__handle.cc
  head/www/iridium/files/patch-ui_gfx_native__pixmap__handle.h
  head/www/iridium/files/patch-ui_gfx_render__text.cc
  head/www/iridium/files/patch-ui_gl_BUILD.gn
  head/www/iridium/files/patch-ui_gl_generate__bindings.py
  head/www/iridium/files/patch-ui_gl_gl__bindings__autogen__glx.cc
  head/www/iridium/files/patch-ui_gl_sync__control__vsync__provider.cc
  head/www/iridium/files/patch-ui_message__center_public_cpp_message__center__constants.h
  head/www/iridium/files/patch-ui_message__center_views_message__popup__view.cc
  head/www/iridium/files/patch-ui_native__theme_native__theme.h
  head/www/iridium/files/patch-ui_native__theme_native__theme__base.cc
  head/www/iridium/files/patch-ui_platform__window_platform__window__init__properties.h
  head/www/iridium/files/patch-ui_strings_app__locale__settings.grd
  head/www/iridium/files/patch-ui_views_bubble_bubble__dialog__delegate__view.cc
  head/www/iridium/files/patch-ui_views_controls_label.cc
  head/www/iridium/files/patch-ui_views_controls_textfield_textfield.cc
  head/www/iridium/files/patch-ui_views_corewm_tooltip__aura.cc
  head/www/iridium/files/patch-ui_views_examples_widget__example.cc
  head/www/iridium/files/patch-ui_views_selection__controller.cc
  head/www/iridium/files/patch-ui_views_style_platform__style.cc
  head/www/iridium/files/patch-ui_views_views__delegate.cc
  head/www/iridium/files/patch-ui_views_views__delegate.h
  head/www/iridium/files/patch-ui_views_widget_desktop__aura_desktop__window__tree__host__platform.cc
  head/www/iridium/files/patch-ui_views_widget_desktop__aura_desktop__window__tree__host__platform.h
  head/www/iridium/files/patch-ui_views_widget_native__widget__aura.cc
  head/www/iridium/files/patch-ui_views_window_custom__frame__view.cc
  head/www/iridium/files/patch-ui_views_window_dialog__delegate.cc
  head/www/iridium/files/patch-ui_views_window_frame__background.cc
  head/www/iridium/files/patch-ui_webui_resources_js_cr.js
  head/www/iridium/files/patch-ui_webui_resources_js_icon.js
  head/www/iridium/files/patch-v8_BUILD.gn
  head/www/iridium/files/patch-v8_include_v8config.h
  head/www/iridium/files/patch-v8_src_api.cc
  head/www/iridium/files/patch-v8_src_api_api.cc
  head/www/iridium/files/patch-v8_src_base_cpu.cc
  head/www/iridium/files/patch-v8_src_base_platform_platform-freebsd.cc
  head/www/iridium/files/patch-v8_src_base_platform_platform-posix.cc
  head/www/iridium/files/patch-v8_src_external-reference-table.cc
  head/www/iridium/files/patch-v8_src_log-utils.h
  head/www/iridium/files/patch-v8_src_trap-handler_handler-inside-posix.cc
  head/www/iridium/files/patch-v8_src_trap-handler_handler-inside-posix.h
  head/www/iridium/files/patch-v8_src_trap-handler_trap-handler.h
  head/www/iridium/files/patch-weblayer_app_content__main__delegate__impl.cc
  head/www/iridium/files/patch-weblayer_browser_browser__main__parts__impl.cc
  head/www/iridium/files/patch-weblayer_browser_content__browser__client__impl.cc
  head/www/iridium/files/patch-weblayer_browser_content__browser__client__impl.h
  head/www/iridium/files/patch-weblayer_browser_system__network__context__manager.cc
  head/www/iridium/files/patch-weblayer_common_weblayer__paths.cc
  head/www/iridium/files/sndio_input.cc
  head/www/iridium/files/sndio_input.h
  head/www/iridium/files/sndio_output.cc
  head/www/iridium/files/sndio_output.h
  head/www/iridium/pkg-plist
Comment 9 Rene Ladan freebsd_committer 2020-07-24 16:24:52 UTC
Committed and merged to 2020Q3, thanks for the patch!